VARKON Version 1.15 1997-10-24

> ## tform_move - Geometric procedure

> Creates a transformation
> Description
> Creates a translational transformation with optional scaling.
> Syntax
> tform_move(id, p1, p2, sx, sy, sz:attributes);

> REF | id;
> VECTOR | p1;
> VECTOR | p2;
> FLOAT | sx;
> FLOAT | sy;
> FLOAT | sz;

> Principal parameters

> id | - Local identity
> p1 | - Original position
> p2 | - Translated position and origin for optional scaling

> Optional parameters

> sx | - Scalefactor in X-direction, default = 1
> sy | - Scalefactor in Y-direction, default = sx
> sz | - Scalefactor in Z-direction, default = sy

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)

> Example
> tform_move(#1,vec(0,0,0),vec(100,0,0),1,1,5);
> Creates a translation of 100 units in the X-direction with simultaneous scaling 5 times in Z. Scaling is performed with X=100 and Y=Z=0 as origin.

VARKON Homepage | Index